Bug 839060 - libglapi not linked against pthread
libglapi not linked against pthread
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
Blocks: 834127
  Show dependency treegraph
Reported: 2012-07-10 15:36 EDT by Orion Poplawski
Modified: 2012-09-17 18:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-09-17 18:55:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2012-07-10 15:36:16 EDT
Description of problem:

mesa-libglapi.i686: W: undefined-non-weak-symbol /usr/lib/libglapi.so.0.0.0 pthread_getspecific
mesa-libglapi.i686: W: undefined-non-weak-symbol /usr/lib/libglapi.so.0.0.0 pthread_key_create
mesa-libglapi.i686: W: undefined-non-weak-symbol /usr/lib/libglapi.so.0.0.0 pthread_once
mesa-libglapi.i686: W: undefined-non-weak-symbol /usr/lib/libglapi.so.0.0.0 pthread_setspecific

mesa-libglapi.i686: E: library-without-ldconfig-postin /usr/lib/libglapi.so.0.0.0
mesa-libglapi.i686: E: library-without-ldconfig-postun /usr/lib/libglapi.so.0.0.0

Trying to link against it:

[ 16%] /usr/bin/ld: /lib64/libglapi.so.0: undefined reference to symbol 'pthread_once@@GLIBC_2.2.5'
/usr/bin/ld: note: 'pthread_once@@GLIBC_2.2.5' is defined in DSO /lib64/libpthread.so.0 so try adding it to the linker command line

Version-Release number of selected component (if applicable):
Comment 1 Gary Gatling 2012-07-21 09:49:26 EDT
Hello. Is someone working on this issue? It is blocking one of my packages from building in fedora 18 "rawhide"  while it builds fine in fedora 16 and fedora 17. Thus, my package cannot get into fedora or epel until this bug get fixed.
Comment 2 Adam Jackson 2012-07-25 14:25:25 EDT
Apps should never link against libglapi.  Never ever ever.  It's an implementation detail of libGL, it is not API.

That said, the linker complaining when it's implicitly brought into the link and not usable seems like a real bug.  I'll take a look.
Comment 3 Orion Poplawski 2012-08-02 18:17:16 EDT
It's not linking directly, this is the link command:

/usr/bin/c++   -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic  -O3 -DNDEBUG   -Wl,-z,relro  -L/builddir/build/BUILD/VirtualGL-2.3.1/staticlib -static-libgcc CMakeFiles/glreadtest.dir/glreadtest.cpp.o  -o ../bin/glreadtest -rdynamic -lGL -lGLU -lX11
Comment 4 Fedora Update System 2012-08-27 12:33:34 EDT
mesa-8.1-0.19.fc18 has been submitted as an update for Fedora 18.
Comment 5 Fedora Update System 2012-08-28 14:15:31 EDT
Package mesa-8.1-0.19.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mesa-8.1-0.19.fc18'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 6 Gary Gatling 2012-08-28 15:38:06 EDT
Yes. Seems to fix issues building in rawhide. Thanks so much. I also added a comment at the url above for karma.
Comment 7 Fedora Update System 2012-09-17 18:55:40 EDT
mesa-8.1-0.19.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.